| 0.9.8

- Main Page
- Modules
- Files

- File List

Functions
gtc/integer.hpp File Reference

Go to the source code of this file.

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< int, P > | iround (vecType< T, P > const &x)
template<typename genIUType >
GLM_FUNC_DECL genIUType | log2 (genIUType x)
template<typename genIUType >
GLM_FUNC_DECL genIUType | mod (genIUType x, genIUType y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | mod (vecType< T, P > const &x, T y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | mod (vecType< T, P > const &x, vecType< T, P > const &y)
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< uint, P > | uround (vecType< T, P > const &x)

## Detailed Description

GLM_GTC_integer

See also
  GLM Core (dependence)
  GLM_GTC_integer (dependence)

Definition in file gtc/integer.hpp.